Skip to navigation

Get Conversation

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
tenant_idstringformat: "uuid"
channelenum
Allowed values:
statusenum
Allowed values:
created_atdatetime
updated_atdatetime
session_window_expires_atdatetime or nullRead-only
session_window_openbooleanRead-only

Non-WhatsApp channels have no such window, so they are always ‘open’ - the composer must not gate an internal note or an email.

subjectstring or nullOptional
related_to_typestring or nullOptional
related_to_idstring or nullOptionalformat: "uuid"
related_to_namestring or nullOptional
external_thread_idstring or nullOptional
contact_wa_idstring or nullOptional
assigned_tostring or nullOptionalformat: "uuid"
last_message_atdatetime or nullOptional
last_inbound_atdatetime or nullOptional
last_message_previewstring or nullOptional
unread_countintegerOptionalDefaults to 0
first_response_due_atdatetime or nullOptional
first_responded_atdatetime or nullOptional
resolved_atdatetime or nullOptional

Errors

422
Unprocessable Entity Error